{% extends 'base.html.twig' %}

{% block website %}

    <div class="breadcrumbs">
        <div class="inner">
            <a href="{{ path('home') }}" class="breadcrumbs-item">Главная</a>
            {% if tag is defined and tag is not empty %}
                <a href="{{ path('catalog') }}" class="breadcrumbs-item">Все сувениры</a>
            {% endif %}
        </div>
    </div>

    <section>
        <div class="inner">
            <div class="head-title">Сувениры
                {% if tag is defined and tag is not empty %}
                    <span>#{{ tag.name }}</span>
                {% endif %}
            </div>
            <div class="product-list"></div>
        </div>
    </section>

    <form class="form form_filter" action="{{ path('getHtmlProducts') }}" method="post" data-auto-load=".product-list">
        <div class="filter">
            {% if tag is defined and tag is not empty %}
                <input type="hidden" name="tag" value="{{ tag.id }}">
            {% endif %}
            <div class="filter__overlay"></div>
            <div class="filter__handle">
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 40 40">
                    <path fill="currentColor" d="M29.6,11.2l-7,10.3c-0.2,0.3-0.3,0.7-0.3,1v7.8c0,0.3-0.4,0.5-0.7,0.3l-3.4-2.7c-0.3-0.2-0.5-0.6-0.5-1v-4.4c0-0.4-0.1-0.7-0.3-1l-6.9-10.2c-0.3-0.4,0-0.9,0.5-0.9h18.1C29.6,10.3,29.9,10.9,29.6,11.2z"/>
                </svg>
            </div>
            <div class="filter__menu sb-native">
                <div class="filter__menu-handle">
                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 40 40">
                        <path fill="currentColor" d="M27.6,27L27,27.6c-0.3,0.3-0.8,0.2-1.1-0.1L20,21.6l-6,6c-0.3,0.3-0.7,0.3-1,0L12.4,27c-0.3-0.3-0.3-0.7,0-1l6-6l-6-6c-0.3-0.3-0.3-0.7,0-1l0.6-0.6c0.3-0.3,0.7-0.3,1,0l6,6l6-6c0.3-0.3,0.7-0.3,1,0l0.6,0.6c0.3,0.3,0.2,0.8-0.1,1.1L21.6,20l6,6C27.9,26.3,27.9,26.7,27.6,27z"/>
                    </svg>
                </div>
                <div class="filter__menu-body">
                    <div class="form-item">
                        <div class="form-title">Цена</div>
                        <div class="form-field">
                            <div class="form-input form-input_range">
                                <input class="form-range" type="rangeslider" name="price" data-type="double" data-min="0" data-max="{{ max }}" data-from="{{ min }}" data-to="{{ max }}" data-step="10" data-input-values-separator="-">
                            </div>
                        </div>
                    </div>
                    <div class="form-item">
                        <div class="form-field">
                            <div class="form-input form-input_checkbox">
                                <label>
                                    <input type="checkbox" name="available" value="1"><span>Есть в ниличии</span>
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="form-item">
                        <div class="form-title">Сортировать</div>
                        <div class="form-field">
                            <div class="form-input form-input_radio">
                                <label>
                                    <input type="radio" name="priceValue" value="0" checked><span>По возрастанию цены</span>
                                </label>
                            </div>
                            <div class="form-input form-input_radio">
                                <label>
                                    <input type="radio" name="priceValue" value="1"><span>По убыванию цены</span>
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="form-item">
                        <div class="form-title">Материал</div>
                        <div class="form-field">
                            {% for item in materials %}
                                <div class="form-input form-input_checkbox">
                                    <label>
                                        <input type="checkbox" name="material[]" value="{{ item.id }}" {% if material is defined and material is not empty and material == item.id %}checked{% endif %}><span>{{ item.name }}</span>
                                    </label>
                                </div>
                            {% endfor %}
                        </div>
                    </div>
                    <div class="form-item">
                        <div class="form-title">Категории</div>
                        <div class="form-field">
                            {% for category in categories %}
                                <div class="form-input form-input_checkbox">
                                    <label>
                                        <input type="checkbox" name="category[]" value="{{ category.id }}"><span>{{ category.name }}</span>
                                    </label>
                                </div>
                                {% if category.__children is not empty %}
                                    <div class="form-infield">
                                        {% for subCategory in category.__children %}
                                            <div class="form-input form-input_checkbox">
                                                <label>
                                                    <input type="checkbox" name="category[]" value="{{ subCategory.id }}"><span>{{ subCategory.name }}</span>
                                                </label>
                                            </div>
                                        {% endfor %}
                                    </div>
                                {% endif %}
                            {% endfor %}
                        </div>
                    </div>
                    <div class="form-item form-item_submit">
                        <div class="form-field">
                            <div class="btn fill close-filter">Показать</div>
                            <div class="form-input form-input_button">
                                <button class="btn" data-form-action="clear">Сбросить</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
{% endblock %}
